DocsAPI ReferenceEmailer/bff/emailer/compose
postEmailerAdmin BFF

/bff/emailer/compose

Composes a new email with the given subject, message, and optional attachments, then sends it.

EmailerpostBffEmailerCompose

Parameters

6 body

6 total
Body · 6
variantstringRequired

Sending variant (e.g. single, bulk).

contactListstring

Comma-separated list of contact IDs to send to.

segmentIdstring

External ID of a contact segment to use as recipient list. Required when variant = "contactSegment".

subjectstringRequired

Email subject line.

messagestringRequired

Email body content (HTML or plain text).

attachmentTokensstring[]

Optional list of blob tokens to attach to the e-mail. Blobs must belong to the same organisation as the request.

Request

POST /bff/emailer/compose

post
curl -X POST "https://api.bizkithub.com/bff/emailer/compose" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "variant": "single",
  "contactList": "example_contactList",
  "segmentId": "example_segmentId",
  "subject": "example_subject",
  "message": "example_message",
  "attachmentTokens": [
    "string"
  ]
}'

Response

JSON payload

{
  "success": true
}

All response codes

1 status code documented

Need an API key?

All BizKitHub API endpoints require authentication via API key.

Get API Key